stages:
  - build

variables:
  IMAGE_NAME: $CI_REGISTRY/$CI_PROJECT_PATH:$CI_BUILD_REF_NAME

build:
  stage: build
  image: docker:git
  services:
    - name: docker:dind
  before_script:
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN $CI_REGISTRY
  script:
    - touch .env
    - docker build -t $IMAGE_NAME .
    - docker push $IMAGE_NAME